import java.io.FileReader;
import java.util.List;

import org.python.antlr.PythonTree;
import org.python.antlr.base.mod;
import org.python.core.CompileMode;
import org.python.core.CompilerFlags;
import org.python.core.ParserFacade;

public class PythonBugTest {
	public static void main(String[] args) throws Exception {
		String fileName = "python.py";
		FileReader reader = new FileReader(fileName);
		mod node = ParserFacade.parse(reader, CompileMode.exec, fileName,
				new CompilerFlags());

		List<PythonTree> children = node.getChildren();
		for (PythonTree child : children) {
			System.out.println("PythonBugTest.main():"
					+ child.getCharStartIndex());
			System.out.println("PythonBugTest.main():"
					+ child.getCharStopIndex());
		}

	}
}
